<div fxLayout="column">
  <div fxLayout="row">
    <div fxLayout="column" fxFlex="100%">
      <div fxLayout="row" fxLayoutAlign="space-around center" >
        <div fxLayout="column" fxFlex="50%" class="tomato">
        {{ dailyHistory.dailyMenuDate | slice:8 }}
        </div>
        <div fxLayout="column" fxFlex="50%">
        <span *ngIf="isEditable()">
          <button md-icon-button mdTooltip="Confirm menu changes" [disabled]="!checkForFoodListUpdate() || loading" (click)="submitMenu()" class="pullMeRight button"><i class="material-icons">check</i></button>
          <button md-icon-button mdTooltip="Cancel menu changes" [disabled]="!checkForFoodListUpdate() || loading " (click)="onCancel()" class="pullMeRight button"><i class="material-icons">cancel</i></button>
          <md-spinner *ngIf="loading"></md-spinner>
        </span>
        </div>
      </div>
    </div>
  </div>
  <div fxLayout="row">
    <div fxLayout="column" fxFlex="100%">
      <div *ngIf="isEditable()">
        <md-select placeholder="Add new food" [disabled]="loading"  name="food" [(ngModel)]="selectedValue" (click) = "getFoods()" (change)="onFoodSelection(selectedValue)">
            <md-option *ngFor="let food of foodsToShow" [value]="food.food.foodName">
              {{food.food.foodName}}
            </md-option>
        </md-select>
      </div>
    </div>
  </div>
  <div fxLayout="row" class="scrollable">
    <div fxLayout="column" fxLayoutGap="5px" fxFlex="100%">
      <div *ngFor="let selectedfood of selectedFoods">
        <div fxLayout="row" fxLayoutAlign="space-between center" class="foodname">
          <div fxLayout="column" fxFlex="2%">
          </div>
          <div fxLayout="column" fxFlex="20%">
            <span *ngIf="isEditable() && !checkIfOrdered(selectedfood)">
              <button md-icon-button mdTooltip="Remove food from menu" [disabled]="loading" (click)="onDelete(selectedfood)" class="button">
                <i class="material-icons">cancel</i>
              </button>
            </span>
          </div>
          <div fxLayout="column" fxFlex="80%" >
            <div fxLayout="row">
            <span *ngIf="foodToIcon.get(selectedfood)==='Salad'" class="icon-Salad"></span>
            <span *ngIf="foodToIcon.get(selectedfood)==='Main dish'" class="icon-Meal"></span>
            <span *ngIf="foodToIcon.get(selectedfood)==='Drink'" class="icon-Drink"></span>
            <span>{{selectedfood}}</span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
